5 Replies Latest reply on May 10, 2011 3:54 AM by Chris Melas

    jbpm 5.1

    new -user Newbie

      I downloaded the 5.1 version and imported a eclipse project which was created using 5.0.

      I am getting following exception:

       

      org.jboss.resteasy.spi.UnhandledException: java.lang.NoSuchMethodError: defaultPackage.Process_defaultPackage_0.action0(Lorg/drools/runtime/process/ProcessContext;Ljava/lang/String;Ljava/util/HashMap;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V

      org.jboss.resteasy.core.SynchronousDispatcher.handleApplicationException(SynchronousDispatcher.java:319)

      org.jboss.resteasy.core.SynchronousDispatcher.handleException(SynchronousDispatcher.java:230)

      org.jboss.resteasy.core.SynchronousDispatcher.handleInvokerException(SynchronousDispatcher.java:206)

      org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:360)

      org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:173)

      org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:93)

      org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:68)

      javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

      org.jboss.bpm.console.server.util.GWTJsonFilter.doFilter(GWTJsonFilter.java:59)

      org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:9

       

      What could be the reason please. This is working fine in 5.0

       

      Thanks

        • 1. jbpm 5.1
          Michał Warecki Novice

          Probably you have builded app with lib with version A and next you are trying to deploy and run the same app but with lib with version B. Check versions of your jbpm. Your jbpm versions should be the same.

          • 2. jbpm 5.1
            new -user Newbie

            Hi Michat,

            I just imported the .bmpn file and flt files only and i am not doing build and deploy. I just upload guvonor repository.

             

            Thanks

            • 3. jbpm 5.1
              Chris Melas Apprentice

              I also get this exception,

              Caused by: java.lang.NoSuchMethodError: defaultPackage.Process_defaultPackage_0.action0(Lorg/drools/runtime/process/ProcessContext;)

              at defaultPackage.Process_defaultPackage_0Action0Invoker.execute(Process_defaultPackage_0Action0Invoker.java:15)

              at org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl.executeAction(ExtendedNodeInstanceImpl.java:68)

              at org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl.triggerEvent(ExtendedNodeInstanceImpl.java:58)

              .....

               

               

              with jbpm5.1.0M1 and i have the feeling that it has to do with the compilation of a process containing scripttask.

               

              This problem seems to occur after creating a process that contains start node->script node (with a System.out.println("this will do"); )->end node in  a fresh installation of jbpm. I added everything on Guvnor, compiled it and from jbpm console, while having the already available  "Evaluation" process, i noticed that the first process of the two (either the test process or evaluation process) runs normally the second process that will run is going to throw the exception above. If i restart jboss and rebuild package and try the seconf process first it will work and the other process that runs second breaks with the exception above....  The stacktrace indicates an error in the compilation since the defaultPackage  does not contain the action0 method.

               

              Has anyone else noticed this behavior?? I would greatly appreciate any help, other experiences, ideas, comments etc

              Thanks

              • 4. jbpm 5.1
                Michał Warecki Novice

                Check if you have compatible Drools version with your jBPM version.

                • 5. jbpm 5.1
                  Chris Melas Apprentice

                  Thanks Michal.

                  I'm using the drools distribution mentioned in the build.properties and build.xml that comes with version jbpm5.1.0M1. The drools version related to guvnor and the eclipse plugin is drools 5.2.0.M2 as far as i can see in build.properties. I haven't really touched drools.

                   

                  Are you saying that the scenario above in jbpm5.1M1 does not cause you the exception?